[Snort-users] compile problem with snort 2.6.1.4 and flexresp2

Darryl Taylor darryl.taylor at ...1935...
Wed Apr 25 16:23:59 EDT 2007


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I had this problem on my Opteron box. Just curious if you are running  
64-bit. This patch was distributed by Gentoo.

- - --- snort-2.6.1.4-orig/src/decode.h     2007-03-19  
14:31:33.000000000 +0100
+++ snort-2.6.1.4/src/decode.h  2007-04-07 02:32:02.851976653 +0200
@@ -885,6 +885,7 @@
#endif
#endif

+#ifndef DNET_IP6_H
struct ip6_hdr
{
      union
@@ -908,6 +909,7 @@
#define ip6_plen  ip6_ctlun.ip6_un1.ip6_un1_plen
#define ip6_nxt   ip6_ctlun.ip6_un1.ip6_un1_nxt
#define ip6_hlim  ip6_ctlun.ip6_un1.ip6_un1_hlim
+#endif
#define ip6_hops  ip6_ctlun.ip6_un1.ip6_un1_hlim

/* Fragment header */


- ------------------

Darryl Taylor

Fingerprint: AEA7 16DB 2DC3 0C3E 43A9 F1B6 E25A 6A7C 16F2 68B6
Key: http://demo.sourcefire.com/dtaylor.pgp.key









On Apr 25, 2007, at 11:42 AM, Julio E. Gonzalez P. wrote:

> I have a compile problem with snort 2.6.1.4 and flexresp2.
> This is with CentOS 4.4 (Redhat EL 4.4 clone).
>
> I do:
> =============================================
> ./configure --enable-dynamicplugin --enable-flexresp2
> make
> ============================================
>
> and "make" stops with this error:
>
> gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../src
> -I../../src/sfutil -I/usr/include/pcap -I../../src/output-plugins
> -I../../src/detection-plugins -I../../src/dynamic-plugins
> -I../../src/preprocessors -I../../src/preprocessors/flow
> -I../../src/preprocessors/portscan
> -I../../src/preprocessors/flow/int-snort
> -I../../src/preprocessors/HttpInspect/include
> -I../../src/preprocessors/Stream5  -I/usr/include/pcre
> -DENABLE_RESPONSE2 -I/usr/include  -g -O2 -Wall -DDYNAMIC_PLUGIN -c
> sp_respond2.c
> In file included from sp_respond2.c:114:
> ../../src/decode.h:889: error: redefinition of `struct ip6_hdr'
> make[3]: *** [sp_respond2.o] Error 1
> make[3]: Leaving directory `/root/snort/snort-2.6.1.4/src/detection- 
> plugins'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/root/snort/snort-2.6.1.4/src'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/root/snort/snort-2.6.1.4'
> make: *** [all] Error 2
>
> If I just do "./configure --enable-dynamicplugin", "make", "make
> install", all works OK with snort 2.6.1.4.
>
> Flexresp2 compile and works with snort 2.6.1.3, but not with snort
> 2.6.1.4.  :(
>
> Any ideas?
> Thanks.
> Julio.
>
>
> ---------------------------------------------------------------------- 
> ---
> This SF.net email is sponsored by DB2 Express
> Download DB2 Express C - the FREE version of DB2 express and take
> control of your XML. No limits. Just data. Click to get it now.
> http://sourceforge.net/powerbar/db2/
> _______________________________________________
> Snort-users mailing list
> Snort-users at lists.sourceforge.net
> Go to this URL to change user options or unsubscribe:
> https://lists.sourceforge.net/lists/listinfo/snort-users
> Snort-users list archive:
> http://www.geocrawler.com/redir-sf.php3?list=snort-users

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)

iD8DBQFGL7jg4lpqfBbyaLYRAgkZAJsHcfs40uk7QQ70C+yzzTYs424GMQCggDIK
Wb88MVnwfUKgPrT1ykUeP3M=
=j3gE
-----END PGP SIGNATURE-----




More information about the Snort-users mailing list